<div class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center"
    style="min-height: 600px; background-image: url(assets/img/theme/profile-cover.jpg); background-size: cover; background-position: center top;">
    <span class="mask bg-gradient-danger opacity-8"></span>
    <div class="container-fluid d-flex align-items-center">
        <div class="row">
            <div class="col-lg-7 col-md-10">
            </div>
        </div>
    </div>
</div>
<div class="container-fluid mt--7" style="margin-top: -27rem !important;">
    <div class="row">

        
        <div class="col-xl-12 order-xl-1">
            <div class="card bg-secondary shadow">
                <div class="card-header bg-white border-0">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h3 class="mb-0">Add Bank Details</h3>
                        </div>

                    </div>
                </div>
                <div class="card-body">
                    <h5 class="alert alert-danger text-center" *ngIf="ErrorAccountNumber">{{ErrorAccountNumber}}</h5>
                    <form [formGroup]="AddBankForm" (ngSubmit)="submitBankForm()">
                        <h6 class="heading-small text-muted mb-4">Bank Information</h6>
                        <div class="pl-lg-4">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="account_name">Account Name</label>
                                        <input type="text" id="account_name"
                                            class="form-control form-control-alternative" placeholder="Account Name"
                                            name="account_name" formControlName="account_name">
                                            <span class="text-danger" *ngIf="GetAccountName && GetAccountName.invalid && GetAccountName.touched">Invalid Account Number</span>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="bank_name">Bank Name</label>
                                        <input type="text" id="bank_name"
                                            class="form-control form-control-alternative" placeholder="Bank Name"
                                            name="bank_name" formControlName="bank_name">
                                            <span class="text-danger" *ngIf="GetBank_name && GetBank_name.invalid && GetBank_name.touched">Invalid Bank Name</span>

                                    </div>
                                </div>
                                
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="account_number">Account Number</label>
                                        <input type="text" id="account_number"
                                            class="form-control form-control-alternative" placeholder="Account Number"
                                            name="account_number" formControlName="account_number">
                                            <span class="text-danger" *ngIf="GetAccount_number && GetAccount_number.invalid && GetAccount_number.touched">Invalid Account Number</span>

                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="re_account_number">Re-Enter Account
                                            Number</label>
                                        <input type="text" id="re_account_number"
                                            class="form-control form-control-alternative"
                                            placeholder="Re Enter Account Number" name="re_account_number" formControlName="re_account_number">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="ifsc_code">IFSC Code</label>
                                        <input type="text" id="ifsc_code" class="form-control form-control-alternative"
                                            placeholder="IFSC Code" name="ifsc_code" formControlName="ifsc_code">
                                            <span class="text-danger" *ngIf="GetIfsc_code && GetIfsc_code.invalid && GetIfsc_code.touched">Invalid IFSC CODE</span>

                                    </div>
                                </div>

                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="upi">UPI ID </label>
                                        <input type="text" id="upi" class="form-control form-control-alternative"
                                            placeholder="UPI ID" name="upi" formControlName="upi"> 

                                    </div>
                                </div>
                            </div>
                        </div>



                        <div class="container text-center"><button class="btn btn-danger" type="submit" [disabled]="AddBankForm.invalid" >Add
                                Banks</button></div>
                        <hr class="my-4" />
                    </form>
                </div>
            </div>
        </div>
        <div class="col-xl-12 order-xl-1 mb-5">
            <div class="card bg-secondary shadow">
                <div class="card-header bg-white border-0">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h3 class="mb-0">My Bank Lists</h3>
                        </div>

                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                          <thead class="thead-light">
                            <tr>
                              <th scope="col">Sr. No.</th>
                              <th scope="col">Account Name</th>
                              <th scope="col">Bank Name</th>
                              <th scope="col">Account Number</th>
                              <th scope="col">IFSC Code</th>
                              <th scope="col">UPI</th>
                              <th scope="col">Date</th>
                              <th scope="col">Action</th>
                            </tr>
                          </thead>              
                          <tbody *ngIf="bankrecords == 0;else elseBlock">
                            <tr>
                              <td></td>
                              <td>No Bank Record Found</td>
                              <td></td>
                            </tr>  
                          </tbody>
                          <ng-template #elseBlock>
                            <tbody *ngFor="let bank of bankdata">
                              <tr>
                                <td>{{bank.index}}</td>
                                <td>{{bank.account_name}}</td>
                                <td>{{bank.bank_name}}</td>
                                <td>{{bank.account_number}}</td>
                                <td>
                                  {{bank.ifsc_code}}	
                                </td>
                                <td>{{bank.upi}}</td>
                                <td>{{bank.date}}</td>
                                <td><a href="javascript:void(0);" ><i style="font-size: 22px;border: 1px solid;border-radius: 12px;" class="ni ni-fat-remove" (click)="removeBank(bank.bank_id)"></i></a></td>
                              </tr>  
                            </tbody>              
                          </ng-template>
                        </table>
                      </div>
                </div>
            </div>
        </div>
    </div>
</div>